<mat-card>
  <mat-card-header>
    <mat-card-title>Rental Time</mat-card-title>
    <mat-card-subtitle>
      This chart shows the workload of the currently selected station in relation
      of the time of the day. It is visualized at which time of the day a journey begins or ends (blue).
      In addition, the average rental duration of the trips is displayed at the given time (green).
    </mat-card-subtitle>
  </mat-card-header>

  <mat-card-content>
    <div *ngIf="isLoading" class="col d-flex align-items-center justify-content-center">
      <mat-progress-spinner color="primary" mode="indeterminate" [diameter]="300"></mat-progress-spinner>
    </div>
    <div *ngIf="!isLoading" class="station-dashboard-borrow-time">
      <apx-chart
        [chart]="chartOptions.chart"
        [colors]="chartOptions.colors"
        [dataLabels]="chartOptions.dataLabels"
        [fill]="chartOptions.fill"
        [legend]="chartOptions.legend"
        [series]="chartOptions.series"
        [stroke]="chartOptions.stroke"
        [tooltip]="chartOptions.tooltip"
        [xaxis]="chartOptions.xaxis"
        [yaxis]="chartOptions.yaxis">
      </apx-chart>
    </div>
  </mat-card-content>
</mat-card>
